version: "3"
services: 
    users-services:
        build: "./users-services"
        depends_on:
            - users-services-db
        environment: 
            - DB_URL=mysql://root:password@
        volumes: 
            - ./users-services:/opt/app
    
    users-services-db:
        environment: 
            - MYSQL_ROOT_PASSWORD=password
            - MYSQL_DATABASE=db
        image: mariadb:10.4
        ports: 
            - 127.0.0.1:7200:3306

    institution-services:
        build: "./institution-services"
        depends_on:
            - institution-services-db
        volumes: 
            - ./institution-services:/opt/app

    institution-services-db:
        environment: 
            - MYSQL_ROOT_PASSWORD=password
            - MYSQL_DATABASE=db
        image: mariadb:10.4

    health-services:
        build: "./health-services"
        depends_on:
            - health-services-db
        volumes: 
            - ./health-services:/opt/app
    
    health-services-db:
        environment: 
            - MYSQL_ROOT_PASSWORD=password
            - MYSQL_DATABASE=db
        image: mariadb:10.4

    medi-services:
        build: "./medi-services"
        depends_on:
            - medi-services-db
        volumes: 
            - ./medi-services:/opt/app

    medi-services-db:
        environment: 
            - MYSQL_ROOT_PASSWORD=password
            - MYSQL_DATABASE=db
        image: mariadb:10.4

    messenger-services:
        build: "./messenger-services"
        depends_on:
            - messenger-services-db
        volumes: 
            - ./messenger-services:/opt/app

    messenger-services-db:
        environment: 
            - MYSQL_ROOT_PASSWORD=password
            - MYSQL_DATABASE=db
        image: mariadb:10.4
